DNF5(8)

NAMN
dnf5 — DNF5 pakethanteringsverktyg

SYNOPSIS

dnf5 <kommando> [flaggor] [<arg>…]

BESKRIVNING

DNF5 <https://github.com/rpm-software-management/dnf5/> är den nya versionen av DNF <https://github.com/rpm-software-management/dnf/>, en pakethanterare för RPM-baserade Linuxdistributioner. Det har skrivits om helt i C++ med sikte på bättre prestanda och reduktion av externa beroenden.

KOMMANDON

Här är listan över tillgängliga kommandon. För mer detaljer, se den separata manualsidan för det specifika kommandot, t.ex. man dnf5 install.

    advisory <#advisory-command-ref-label>
        Hantera rekommendationer.

    autoremove <#autoremove-command-ref-label>
        Ta bort paket som inte behövs.

    check <#check-command-ref-label>
        Kontrollera om det finns problem i paketdatabasen.

    check-upgrade <#check-upgrade-command-ref-label>
        Kontrollera om det finns tillgängliga paketuppgraderingar.

    clean <#clean-command-ref-label>
        Ta bort eller invalidera cachade data.

    distro-sync <#distro-sync-command-ref-label>
        Uppgradera eller nedgradera installerade paket till den senast tillgängliga versionen.

    downgrade <#downgrade-command-ref-label>
        Nedgradera paket.

    download <#download-command-ref-label>
        Hämta paket.

    environment <#environment-command-ref-label>
        Hantera comps-miljöer.

    group <#group-command-ref-label>
        Hantera comps-grupper.

    history <#history-command-ref-label>
        Hantera transaktionshistorien.

    info <#info-command-ref-label>
        Ge detaljerad information om installerade eller tillgängliga paket.

    install <#install-command-ref-label>
        Installera paket.

    leaves <#leaves-command-ref-label>
        Lista grupper med lövpaket.

    list <#list-command-ref-label>
        Lista installerade eller tillgängliga paket.

    makecache <#makecache-command-ref-label>
        Generera metadata-cachen.

    mark <#mark-command-ref-label>
        Ändra orsaken till installationen av ett paket.

    module <#module-command-ref-label>
        Hantera moduler.

    offline <#offline-command-ref-label>
        Hantera frånkopplade transaktioner.

    provides <#provides-command-ref-label>
        Hitta vilket paket som tillhandahåller det givna värdet.

    reinstall <#reinstall-command-ref-label>
        Installera om paket.

    remove <#remove-command-ref-label>
        Ta bort paket.

    replay <#replay-command-ref-label>
        Spela om lagrade transaktioner.

    repo <#repo-command-ref-label>
        Hantera förråd.

    repoquery <#repoquery-command-ref-label>
        Sök efter paket i förråd.

    search <#search-command-ref-label>
        Sök efter paket med hjälp av nyckelord.

    swap <#swap-command-ref-label>
        Ta bort programvara och installera en annan i en enda transaktion.

    system-upgrade <#system-upgrade-command-ref-label>
        Uppgradera systemet till en ny huvudutgåva.

    upgrade <#upgrade-command-ref-label>
        Uppgradera paket.

    versionlock <#versionlock-command-ref-label>
        Skydda paket från uppdateringar till nyare versioner.

  Insticksmodulers kommandon

Här är en lista med de kommandon som finns tillgängliga som insticksmoduler. Dessa är tillgängliga efter att paketet dnf5-plugins installerats.

    automatic <#automatic-plugin-ref-label>
        Alternativt CLI till dnf upgrade lämpligt att köras automatiskt och regelbundet från systemd-timrar, cron-jobb och liknande.

    builddep <#builddep-plugin-ref-label>
        Installera saknade beroenden för att bygga ett RPM-paket.

    changelog <#changelog-plugin-ref-label>
        Visa paketändringsloggar.

    config-manager <#config-manager-plugin-ref-label>
        Hantera huvudkonfigurationen, förrådskonfigurationer och variabler.

    copr <#copr-plugin-ref-label>
        Hantera Copr-förråd (tillägg som tillhandahålls av användare/gemenskapen/tredjeparter).

    needs-restarting <#needs-restarting-plugin-ref-label>
        Avgör huruvida systemet borde startas om.

    repoclosure <#repoclosure-plugin-ref-label>
        Visa en lista med oupplösta beroenden för förråd.

    reposync <#reposync-plugin-ref-label>
        Synkronisera paket och metadata från ett fjärr-DNF-förråd till en lokal katalog.

FLAGGOR

Följande flaggor är tillämpliga i ett allmänt sammanhang för godtyckligt dnf5-kommando:

    --assumeno
        Svara automatiskt nej på alla frågor.

    --best
        Försök med bästa tillgängliga paketversioner i transaktioner.

        Specifikt under dnf-uppgradering, vilken som standard hoppar över uppdateringar som inte kan installeras av beroendeskäl, tvingar flaggan DNF5 att endast överväga de senaste paketen. När den stöter på paket med trasiga beroenden kommer DNF5 misslyckas och ange skälet till varför den senaste versionen inte kan installeras.

        Observera att användningen av den nyaste tillgängliga versionen endast garanteras för paket som begärs direkt (t.ex. som kommandoradsargument), och upplösaren kan välja äldre versioner av beroenden för att möta deras beroenden.

    -C, --cacheonly
        Använd endast cachade data vid arbete med paket- och förrådsmetadata.
        Cachen kommer inte uppdateras även om den är utgången.

    --comment=KOMMENTAR
        Lägg till en kommentar till transaktionshistoriken.

    --config=KONFIGURATIONSFILSSÖKVÄG
        Definiera platsen för konfigurationsfilen.

    --debugsolver
        Dumpa ut ytterligare data från upplösaren för felsökningsändamål.
        Data sparas i ./debugdata.

    --disable-plugin=INSTICKSMODULSNAMN,…
        Avaktivera de angivna insticksmodulerna till biblioteket libdnf5 för det aktuella DNF5-kommandot.
        Detta är en listflagga som kan anges flera gånger.
        Tillåtna värden är namn, eller en glob av namn.

    --disable-repo=FÖRRÅDS_ID,…
        Avaktivera tillfälligt aktiva förråd för det aktuella DNF5-komandot.
        Detta är en listflagga som kan anges flera gånger.
        Tillåtna värden är id:n, eller en glob av id:n.

    --dump-main-config
        Skriv ut huvudkonfigurationsvärden till standard ut.

    --dump-repo-config=FÖRRÅDS_ID,…
        Skriv ut förrådskonfigurationsvärden till standard ut.
        Detta är en listflagga som kan anges flera gånger.
        Tillåtna värden är id:n, eller en glob av id:n.

    --dump-variables
        Skriv variabelvärden till standard ut.

    --enable-plugin=INSTICKSMODULSNAMN,…
        Avaktivera de angivna insticksmodulerna till biblioteket libdnf5 för det aktuella DNF5-kommandot.
        Detta är en listflagga som kan anges flera gånger.
        Tillåtna värden är namn, eller en glob av namn.

    --enable-repo=FÖRRÅDS_ID,…
        Aktivera tillfälligt ytterligare förråd för det aktuella DNF5-komandot.
        Detta är en listflagga som kan anges flera gånger.
        Tillåtna värden är id:n, eller en glob av id:n.

    --forcearch=ARK
        Framtvinga användningen av en specifik arkitektur.
        Se <#forcearch-misc-ref-label> dnf5-forcearch(7) för mer information.

    -h, --help
        Visa hjälpen.

    --installroot=ABSOLUT_SÖKVÄG
        Ange en sökväg till en installationsrot.
        En absolut sökväg krävs.
        Se <#installroot-misc-ref-label> dnf5-installroot(7) för mer information.

    --no-best
        Begränsa inte transaktionen till endast de bästa kandidaterna.

    --no-docs
        Installera inte några filer som är markerade som dokumentation (vilket inkluderar manualsidor och texinfo-dokument).
        Det sätter flaggan RPMTRANS_FLAG_NODOCS.

    --no-gpgchecks
        Hoppa över kontrollen av OpenPGP-signaturer av paket (om RPM-policyn tillåter det).

    --no-plugins
        Avaktivera alla insticksmoduler till libdnf5.

    -q, --quiet
        I kombination med ett icke interaktivt kommando visas bara det relevanta innehållet. Undertryck meddelanden som berättar om DNF5s aktuella tillstånd eller åtgärder.

    --refresh
        Framtvinga uppdatering av metadata före kommandot körs.

    --color=<färg>
        Styr huruvida färg används i terminalutmatning. Giltiga värden är always, never och auto (standardvärde).

    --repo=FÖRRÅDS_ID,…
        Aktivera endast de angivna förråden.
        Detta är en listflagga som kan anges flera gånger.
        Tillåtna värden är id:n, eller en glob av id:n.

    --repofrompath=FÖRRÅDS_ID,FÖRRÅDSSÖKVÄG
        Ange ett förråd att utöka förråden med endast för denna körning. Kan användas flera gånger.

        Det nya förrådets id anges av FÖRRÅDS_ID och dess baseurl av FÖRRÅDSSÖKVÄG. Variabler i båda värdena fylls i före förrådet skapas.

        Konfigurationen av det nya förrådet kan justeras med flaggor --setopt=FÖRRÅDS_ID.alternativ=värde.

        Om du vill att endast paket från detta förråd skall vara tillgängliga, kombinera det då med flaggan --repo=FÖRRÅDS_ID.

    --releasever=UTGÅVEVER
        Åsidosätt värdet på distributionens utgåva (variabeln releasever) i konfigurationsfiler. Detta kan påverka cache-sökvägar, värden i konfigurationsfiler och spegelliste-URL:ar. När releasever sätts kommer även releasever_major och releasever_minor genom att dela upp releasever vid den första ..

    --releasever-major=HUVUDUTGÅVEVER
        Åsidosätt variabeln releasever_major, vilken vanligt vis avgörs automatiskt eller tas från delen $releasever före den första .. Påverkar inte inställningen av variabeln releasever. Måste anges efter --releasever på kommandoraden, annars kommer första delen av --releasever ha företräde.

    --releasever-minor=UNDERUTGÅVEVER
        Åsidosätt variabeln releasever_minor, vilken vanligt vis avgörs automatiskt eller tas från delen $releasever efter den första .. Påverkar inte inställningen av variabeln releasever. Måste anges efter --releasever på kommandoraden, annars kommer andra delen av --releasever ha företräde.

    --setopt=[FÖRRÅDS_ID.]ALTERNATIV=VÄRDE
        Åsidosätt ett konfigurationsvärde från konfigurationsfilen.
        Parametern FÖRRÅDS_ID används för att åsidosätta alternativ för förråd.

        Värden på alternativ som excludepkgs, includepkgs, installonlypkgs och tsflags läggs till originalvärdet, de ersätter det inte. Genom att ange ett tomt värde (t.ex. --setopt=tsflags=) nollställs dock alternativet.

    --setvar=VARNAMN=VÄRDE
        Åsidosätt värdet på en DNF5-variabel, som arch, releasever, etc.

    --skip-file-locks
        Skip acquiring file locks, such as the lock on the system repository.
        See skip_system_repo_lock <#skip-system-repo-lock-options-label> for more info.

    --show-new-leaves
        Visa nyligen installerade lövpaket och paket som blev löv efter en transaktion.

    --use-host-config
        Använd konfigurationsfiler och variabeldefinitioner från värdsystemet istället för installationsroten.
        Se <#installroot-misc-ref-label> dnf5-installroot(7) för mer information.

    --version
        Visa versionen på programmet dnf5 och biblioteket libdnf5, tillsammans med laddade insticksmoduler och deras versioner, och avsluta sedan.

    -y, --assumeyes
        Svara automatiskt ja på alla frågor.

    -x PAKETSPEC-N,…, --exclude=PAKETSPEC-N,…
        Exkludera paket angivna i PAKETSPEC-N-argument från transaktionen.
        Detta är en listflagga.

METADATASYNKRONISERING

Att DNF5 fungerar korrekt är beroende av att ha tillgång till aktuella data från alla de aktiverade förråden, men att kontakta fjärrspeglar för varje åtgärd slöar påtagligt ner det och kostar bandbredd både för klienten och förrådsleverantören. Förrådskonfigurationen metadata_expire används av DNF5 för att avgöra huruvida det är dags för ett visst lokalt exemplar av förrådsdatan att synkroniseras om. Det är avgörande att förrådsleverantörerna också sätter detta alternativ, nämligen till ett värde där det är garanterat att om en viss metadata var tillgänglig vid tidpunkten T på servern, då kommer alla paket den refererar till fortfarande vara tillgängliga att hämtas från servern vid tidpunkten T + metadata_expire.

För att ytterligare reducera bandbreddslasten kommer vissa av kommandona där det inte är kritiskt att ha aktuell metadata (t.ex. kommandot group list) inte titta efter huruvida ett förråd gått ut och när en ny version av den är tillgänglig lokalt för användarens konto kommer den användas.

Referera till <#caching-misc-ref-label> dnf5-caching(7) för mer information vad gäller cachning av metadata och paket.

POLICY FÖR ERSÄTTNING AV KONFIGURATIONSFILER

De uppdaterade paketen kan ersätta gamla modifierade konfigurationsfiler med nya eller behålla de gamla filerna. Ingen av filerna är faktiskt ersatt. De som står i konflikt ger RPM ett ytterligare suffix på originalnamnet. Viken fil som skall ha det sanna namnet efter transaktionen styrs inte av pakethanteraren, utan anges självt av varje paket, i enlighet med riktlinjer för paketering.

SLUTKODER

Kommandot dnf5 avslutar i allmänhet med följande returvärden:

    0
        Åtgärden gick bra.

    1
        Ett fel uppstod under behandling av kommandot.

    2
        Ett fel uppstod under tolkning av argumenten.

Andra slutkoder kan returneras av ett specifikt kommando, se dess dokumentation för mer information.

FILER

    Cache-filer
        /var/cache/libdnf5/

    Huvudkonfiguration
        /etc/dnf/dnf.conf

    Förrådskonfiguration
        /etc/yum.repos.d/

    Förråds varaktighet
        /var/lib/dnf/

    Systemtillstånd
        /usr/lib/sysimage/libdnf5/

MILJÖ

    DNF5_FORCE_INTERACTIVE
        Override interactivity of the connected standard input/output. Set to 0 to pretend that the input/output is not connected to an interactive terminal and DNF5 should not ask any questions. Set to 1 to force DNF5 to ask questions even if the terminal is non-interactive. See --assumeno and --assumeyes options.

    DNF5_PLUGINS_DIR
        Åsidosätt en katalog med insticksmoduler till programmet DNF5. Sätt den till en tom sträng för att avaktivera laddning av programmets insticksmoduler.

    LIBDNF_PLUGINS_CONFIG_DIR
        Åsidosätt en katalog med konfigurationsfiler för insticksmoduler till libdnf5.

    SOURCE_DATE_EPOCH
        Anger en tidsstämpel given som ett antal sekunder sedan UNIX epok. När det är satt sätts transaktionstidsstämplar i historiedatabasen till den angivna tiden istället för aktuell tid. Dessutom är paket ordnade för att säkerställa en konsistent transaktionsordning.

TEMP, TEMPDIR, TMP, TMPDIR
        Åsidosätt en sökväg till en katalog för tillfälliga filer. Katalogen måste finnas. Standardvärdet är /tmp.

SE ÄVEN

    Kommandon:
        dnf5-advisory(8), Advisory-kommandot <#advisory-command-ref-label>
        dnf5-autoremove(8), Autoremove-kommandot <#autoremove-command-ref-label>
        dnf5-check(8), Check-kommandot <#check-command-ref-label>
        dnf5-check-upgrade(8), Check-Upgrade-kommandot <#check-upgrade-command-ref-label>
        dnf5-clean(8), Clean-kommandot <#clean-command-ref-label>
        dnf5-distro-sync(8), Distro-Sync-kommandot <#distro-sync-command-ref-label>
        dnf5-downgrade(8), Downgrade-kommandot <#downgrade-command-ref-label>
        dnf5-download(8), Download-kommandot <#download-command-ref-label>
        dnf5-environment(8), Environment-kommandot <#environment-command-ref-label>
        dnf5-group(8), Group-kommandot <#group-command-ref-label>
        dnf5-history(8), History-kommandot, <#history-command-ref-label>
        dnf5-info(8), Info-kommandot <#info-command-ref-label>
        dnf5-install(8), Install-kommandot <#install-command-ref-label>
        dnf5-leaves(8), Leaves-kommandot <#leaves-command-ref-label>
        dnf5-list(8), List-kommandot <#list-command-ref-label>
        dnf5-makecache(8), Makecache-kommandot <#makecache-command-ref-label>
        dnf5-mark(8), Mark-kommandot <#mark-command-ref-label>
        dnf5-module(8), Module-kommandot <#module-command-ref-label>
        dnf5-offline(8), Offline-kommandot <#offline-command-ref-label>
        dnf5-provides(8), Provides-kommandot <#provides-command-ref-label>
        dnf5-reinstall(8), Reinstall-kommandot <#reinstall-command-ref-label>
        dnf5-remove(8), Remove-kommandot <#remove-command-ref-label>
        dnf5-repo(8), Repo-kommandot <#repo-command-ref-label>
        dnf5-repoquery(8), Repoquery-kommandot <#repoquery-command-ref-label>
        dnf5-search(8), Search-kommandot <#search-command-ref-label>
        dnf5-swap(8), Swap-kommandot <#swap-command-ref-label>
        dnf5-system-upgrade(8), System-Upgrade-kommandot <#system-upgrade-command-ref-label>
        dnf5-upgrade(8), Upgrade-kommandot <#upgrade-command-ref-label>
        dnf5-versionlock(8), Versionlock-kommandot <#versionlock-command-ref-label>

    Insticksmoduler till programmet:
        dnf5-automatic(8), Automatic-kommandot <#automatic-plugin-ref-label>
        dnf5-builddep(8), Builddep-kommandot <#builddep-plugin-ref-label>
        dnf5-changelog(8), Changelog-kommandot <#changelog-plugin-ref-label>
        dnf5-config-manager(8), Config-manager-kommandot <#config-manager-plugin-ref-label>
        dnf5-copr(8), Copr-kommandot <#copr-plugin-ref-label>
        dnf5-needs-restarting(8), Needs-Restarting-kommandot <#needs-restarting-plugin-ref-label>
        dnf5-repoclosure(8), Repoclosure-kommandot <#repoclosure-plugin-ref-label>
        dnf5-repomanage(8), Repomanage-kommandot <#repomanage-plugin-ref-label>
        dnf5-reposync(8), Reposync-kommandot <#reposync-plugin-ref-label>

    Insticksmoduler till biblioteket:
        libdnf5-actions(8), Actions-insticksmodulen <#actions-plugin-ref-label>
        libdnf5-expired-pgp-keys(8), Expired PGP keys-insticksmodulen <#expired-pgp-keys-plugin-ref-label>
        libdnf5-local(8), Lokal insticksmodul <#local-plugin-ref-label>

    Konfiguration:
        dnf5.conf(5), DNF5 konfigurationsreferens <#dnf5-conf-label>

    Diverse:
        dnf5-aliases(7), Alias för kommandoradsargument <#aliases-misc-ref-label>
        dnf5-caching(7), Cachning <#caching-misc-ref-label>
        dnf5-comps(7), Comps-grupper och -miljöer <#comps-misc-ref-label>
        dnf5-filtering(7), Paketfiltrering <#filtering-misc-ref-label>
        dnf5-forcearch(7), Forcearch-parametern <#forcearch-misc-ref-label>
        dnf5-installroot(7), Installroot-parametern <#installroot-misc-ref-label>
        dnf5-modularity(7), Modularitetsöversikt <#modularity-misc-ref-label>
        dnf5-specs(7), Mönsterspecifikation <#specs-misc-ref-label>
        dnf5-system-state(7), Systemtillstånd <#systemstate-misc-ref-label>

    Projektets hemsida:
        <https://github.com/rpm-software-management/dnf5>

Upphovsman
Se AUTHORS.md i dnf5 källkodsdistribution.

Copyright
Medarbetare i dnf5-projektet.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.